lua-rings_1.3.0-3_amd64.deb


Advertisement

Description

lua-rings - Lua state creation and control library for the Lua language

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lua-rings
Package version 1.3.0
Package release 3
Package architecture amd64
Package type deb
Installed size 89 B
Download size 8.57 KB
Official Mirror ftp.br.debian.org
Rings is a library which provides a way to create new Lua states from within
Lua. It also offers a simple way to communicate between the creator (master)
and the created (slave) states.
This mechanism can be used to run chunks of code in an isolated
Lua state, obtaining what is usually called a sandbox.

Alternatives

Package Version Architecture Repository
lua-rings_1.3.0-3_i386.deb 1.3.0 i386 Debian Main
lua-rings - - -

Requires

Name Value
libc6 >= 2.4
multiarch-support -

Provides

Name Value
lua5.1-rings -
lua5.2-rings -

Download

Type URL
Binary Package lua-rings_1.3.0-3_amd64.deb
Source Package lua-rings

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-rings deb package:
    # sudo apt-get install lua-rings

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-rings.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-rings.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.2-rings.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2-rings.so.0.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/rings.so
/usr/lib/x86_64-linux-gnu/lua/5.2/rings.so
/usr/share/doc/lua-rings/changelog.Debian.gz
/usr/share/doc/lua-rings/copyright
/usr/share/lua/5.1/stable.lua
/usr/share/lua/5.2/stable.lua

Changelog

2015-01-18 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.3.0-3) unstable; urgency=medium
* Disable a cache related test on 5.2 (Close: #775622)
2013-08-23 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.3.0-2) unstable; urgency=low
* Fix Provides, was still mentioning a transitional package 
* Fix copyright naming the license Expat instead of MIT/X 
2012-04-26 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.3.0-1) unstable; urgency=low
* Packaging moved to git
* Transitional packages removed
* New upstream release supporting Lua 5.2 
2012-04-26 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.3-1) unstable; urgency=low
* New upstream release
* Update watch file 
* Bumped standards-version to 3.9.3, no changes 
* debian/compat set to 8
* Packages renamed according to the new Lua policy 
* Switch to dh-lua
2011-07-22 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.2-4) unstable; urgency=low
* source format 3.0
2009-07-22 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.2-3) unstable; urgency=low
* bumped standards-version to 3.9.2, no changes
* multi-arch (lua5.1-policy-dev >= 32 and dh >= 8.1.3)
2009-07-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.2-2) unstable; urgency=low
* bumped standards-version to 3.8.2, no changes
* build-depend on lua5.1-policy-dev >= 22
2008-07-02 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.2-1) unstable; urgency=low
* new upstream release (minor bugfix)
2008-05-09 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.1-1) unstable; urgency=low
* new upstream release
2008-04-19 - Enrico Tassi <gareuselesinge@debian.org>
lua-rings (1.2.1~rc1-1) unstable; urgency=low
* new upstream release candidate

See Also

Package Description
lua-sec-dev_0.5-1_amd64.deb SSL socket library library devel files for the Lua language
lua-sec_0.5-1_amd64.deb SSL socket library for the Lua language
lua-soap_3.0+git91419a7-1_all.deb SOAP library for the Lua language
lua-socket-dev_3.0~rc1-3_amd64.deb TCP/UDP socket library for the Lua language
lua-socket_3.0~rc1-3_amd64.deb TCP/UDP socket library for the Lua language
lua-sql-doc_2.3.0-4_all.deb luasql documentation
lua-sql-mysql-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-mysql_2.3.0-4_amd64.deb luasql library for the Lua language
lua-sql-postgres-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-postgres_2.3.0-4_amd64.deb luasql library for the Lua language
lua-sql-sqlite3-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-sqlite3_2.3.0-4_amd64.deb luasql library for the Lua language
lua-svn-dev_0.4.0-9_amd64.deb Development files for the Subversion library for the Lua language
lua-svn_0.4.0-9_amd64.deb Subversion library for the Lua language
lua-term-dev_0.03.20140426.g1ba9a8e-1_amd64.deb Lua module for manipulating a terminal
Advertisement
Advertisement